Agents API
List definitions or publish a validated offchain agent.
#Endpoint
| METHOD | PATH | PURPOSE |
|---|---|---|
| GET / POST | /api/agents | List definitions or publish a validated offchain agent. |
#Parameters
| Name | Location / type | Description |
|---|---|---|
| configuration | POST body / AgentConfiguration | Validated builder record |
| address | POST body / address|null | Creator address; paired with signature |
| signature | POST body / hex|null | Message signature; paired with address |
#Response
GET: { "agents": [AgentDefinition], "published": [PublishedAgent] }
POST 201: { "published": { "id": "OW-C-β¦", "slug": "β¦", "creatorAddress": null, "configuration": { β¦ }, "publishedAt": "β¦" } }#Errors
| Status | Condition |
|---|---|
| 400 | Invalid schema, benchmark, or active universe |
| 401 | Signature verification failed |
| 409 | Reserved built-in code |
| 201 | Persisted publication |
#Cache behavior
No response cache is declared. Publication writes D1 or the configured SQLite database.
#Example request
curl -X POST -H 'Content-Type: application/json' -d '{β¦}' https://overweight.example/api/agents